Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.fastedge.templates.delete(
template_id=0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Fastedge.Templates.Delete(
context.TODO(),
0,
fastedge.TemplateDeleteParams{},
)
if err != nil {
panic(err.Error())
}
}
curl --request DELETE \
--url https://api.gcore.com/fastedge/v1/template/{template_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/template/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}FastEdge Templates
Delete template
Remove a template from the platform. Templates shared with groups require force=true parameter to delete.
DELETE
/
fastedge
/
v1
/
template
/
{template_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.fastedge.templates.delete(
template_id=0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Fastedge.Templates.Delete(
context.TODO(),
0,
fastedge.TemplateDeleteParams{},
)
if err != nil {
panic(err.Error())
}
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Unique identifier of the template to delete
Query Parameters
When true, deletes template even if shared with groups. Defaults to false.
Response
Template successfully deleted
Was this page helpful?
⌘I